LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 01-15-2007, 10:38 AM   #1
windsurfer
Member
 
Registered: Mar 2006
Distribution: Ubuntu
Posts: 91

Rep: Reputation: 15
Build of wxwindows ubuntu 6.10


Hi

I have been having problems building wxwindows (libwxgtk2.4-python) getting "dependency is not satisfiable: python2.3"

Having installed the latest python 2.5 does this mean that I need a earlier version of python? In which case do I have to un-install 2.5 ? I would appreciate some clarification on this, does anyone know? I am using this to build pyBKM.

Adrian
 
Old 01-16-2007, 09:49 AM   #2
win32sux
Guru
 
Registered: Jul 2003
Location: Los Angeles
Distribution: Ubuntu
Posts: 9,870

Rep: Reputation: 371Reputation: 371Reputation: 371Reputation: 371
yeah, you can have multiple versions of python installed - no problem...

just curious: have you considered installing this with a:
Code:
sudo apt-get install python-wxgtk2.4
if you have the "universe" repositories enabled, the above command should download and install everything you need AFAICT...

Last edited by win32sux; 01-16-2007 at 09:51 AM.
 
Old 01-17-2007, 04:14 AM   #3
windsurfer
Member
 
Registered: Mar 2006
Distribution: Ubuntu
Posts: 91

Original Poster
Rep: Reputation: 15
The answer is no I hadnt tried installing it, silly me, now it is installed. Am trying to get Mondrian to work and I now get the error

./SessionManager.rb:10: uninitialized constant Fox (NameError)
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

I have now installed fox so what does this mean? Sorry am quite new to this so I dont no what to do next.
 
Old 01-17-2007, 07:17 AM   #4
win32sux
Guru
 
Registered: Jul 2003
Location: Los Angeles
Distribution: Ubuntu
Posts: 9,870

Rep: Reputation: 371Reputation: 371Reputation: 371Reputation: 371
Quote:
Originally Posted by windsurfer
The answer is no I hadnt tried installing it, silly me, now it is installed. Am trying to get Mondrian to work and I now get the error

./SessionManager.rb:10: uninitialized constant Fox (NameError)
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

I have now installed fox so what does this mean? Sorry am quite new to this so I dont no what to do next.
well, i'd say check that your fxruby version is compatible...

i quote from the mondrian download page:
Quote:
Note: Mondrian 1.0 beta8 requires FXRuby 1.2.4 or FXRuby 1.2.6! Other versions don't work yet. Sorry for the inconvenience. I suck.
not sure what else to tell you... =/

Last edited by win32sux; 01-17-2007 at 07:24 AM.
 
  


Reply

Tags
python


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: How To Build A LAMP Server With Ubuntu 6.06 LTS LXer Syndicated Linux News 1 06-06-2006 09:25 AM
Newbie attempting build of sane on Ubuntu, gets errors treader Linux - Newbie 5 04-01-2006 04:36 PM
anyone here uses ubuntu to build LFS,I have some questions about it sumargin Linux From Scratch 1 01-13-2006 01:38 AM
wxWindows JurajPsycho Programming 6 10-17-2004 05:01 AM
wxWindows Skute Programming 2 10-31-2003 05:09 AM


All times are GMT -5. The time now is 09:17 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration